import * as React from 'react';

export type OpencontainersinitiativeProps = {
  /**
   * Hex color or color name
   */
  title?: string;
  /**
   * The size of the Icon.
   */
  color?: string;
  /**
   * The title provides an accessible short text description to the SVG
   */
  size?: string | number;
};

const Opencontainersinitiative = React.forwardRef<SVGSVGElement, OpencontainersinitiativeProps>(
  function Opencontainersinitiative(
    { color = 'currentColor', size = 24, title = 'opencontainersinitiative', ...others },
    ref,
  ) {
    return (
      <svg
        xmlns='http://www.w3.org/2000/svg'
        width={size}
        height={size}
        fill={color}
        viewBox='0 0 24 24'
        ref={ref}
        {...others}
      >
        <title>{title}</title>
        <path d='M0 0v24h24V0zm20.547 20.431H3.448V3.573h17.104V20.43zm-5.155-9.979h3.436v8.255h-3.436zm0-5.16h3.436v3.436h-3.436zm-6.789 9.976V8.732h5.074v-3.44H5.164v13.415h8.513v-3.44Z' />
      </svg>
    );
  },
);

export default Opencontainersinitiative;
